/*
 * icons.scss
 * emilien <emilien@emilien-pc>, 2021
 */

.i {
	background-color: var(--current-color, white);
	height: var(--icon-size, 1rem);
	width: var(--icon-size, 1rem);
	display: inline-block;
    -webkit-mask-position: center;
	mask-position: center;
	mask-repeat: no-repeat;
}

.i-0-5 { --icon-size: 0.5rem; }
.i-1 { --icon-size: 1rem; }
.i-1-5 { --icon-size: 1.5rem; }
.i-2 { --icon-size: 2rem; }

.i-arrow {
	&.i-left { mask-image: url("~@/assets/left-arrow.svg") }
	&.i-right { mask-image: url("~@/assets/right-arrow.svg"); }
}
